import sqlalchemy
from sqlalchemy import Index 
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import relationship, backref
from src.ORM_modules.base import Base, NgoBase

class Organisation(Base, NgoBase):
    #__tablename__ = 'organisation'
 
    OID = sqlalchemy.Column(sqlalchemy.Integer, primary_key=True, nullable=False)
    OName  = sqlalchemy.Column(sqlalchemy.String(length=255), nullable=False)
    ODescription = sqlalchemy.Column(sqlalchemy.String(length=255), nullable=True)
    OUrl  = sqlalchemy.Column(sqlalchemy.String(length=255), nullable=True)
    OContact  = sqlalchemy.Column(sqlalchemy.Integer)

    #event = relationship('Event',   secondary='TOrganisation_Events')
    def getIndex(self):
        return self.OID
    __table_args__ = (Index('OName', "OName", "ODescription", "OUrl", "OContact"), )

    def __repr__(self):
        return ""
